Bug 488092 - rhn-load-config.pl: Can't locate object method "generate_satcon_dict" via package "RHN::SatInstall"
rhn-load-config.pl: Can't locate object method "generate_satcon_dict" via pac...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-03-02 11:24 EST by Milan Zazrivec
Modified: 2009-08-27 13:33 EDT (History)
0 users

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-03-02 11:24:13 EST
Description of problem:
* Upgrade of Satellite (<= 5.2.0) to 5.3.0
* Redeploy configuration settings step:

# perl rhn-load-config.pl 
config osa-dispatcher.jabber_server not in master config list in PXT::Config at /usr/lib/perl5/vendor_perl/5.8.5/PXT/Config.pm line 163.
Generating RHN Satellite configuration dictionary
Can't locate object method "generate_satcon_dict" via package "RHN::SatInstall" at rhn-load-config.pl line 59.

Version-Release number of selected component (if applicable):
rhn-upgrade-5.3.0.4-1

How reproducible:
Always

Steps to Reproduce:
1. Install 5.2.0 or older Satellite
2. Upgrade to 5.3.0
3. Proceed with upgrade all the way to the point where you have to run
rhn-load-config.pl to redeploy configuration settings.
  
Actual results:
Error above

Expected results:
Error telling "Can't locate object method "generate_satcon_dict" ...
will not be present.

Additional info:
RHN::SatInstall::generate_satcon_dict was moved from rhn-base to
/usr/bin/spacewalk-setup some time between 5.2.0 and 5.3.0.
Comment 1 Milan Zazrivec 2009-03-06 08:07:58 EST
satellite.git SATELLITE-5.3: 4cd0bd58fb0b4d867a11729ae60f1f59b7b22e2c
Comment 2 Jeff Browning 2009-05-13 03:21:26 EDT
Verified

Note You need to log in before you can comment on or make changes to this bug.